%define pkg_name        Encode
%define pkg_version     2.23
%define rpm_pkg_version 2.23
%define rpm_pkg_release 1.n0i.1

Summary:       Character Encodings Handler
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DA/DANKOGAI/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
The "Encode" module provides the interfaces between Perl's
strings and the rest of the system.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc AUTHORS Changes README


%changelog
* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 0:2.23-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 2.23
